package com.ruoyi.bst.softwareVersion.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.interfaces.LogBizParam;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 软件版本对象 bst_software_version
 *
 * @author ruoyi
 * @date 2025-04-07
 */
@Data
public class SoftwareVersion extends BaseEntity implements LogBizParam
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "版本号")
    @ApiModelProperty("版本号")
    private String version;

    @Excel(name = "更新内容")
    @ApiModelProperty("更新内容")
    private String content;

    @Override
    public Object logBizId() {
        return id;
    }
}
