package com.ruoyi.bst.order.domain.dto;

import java.math.BigDecimal;

import javax.validation.constraints.NotNull;

import com.ruoyi.common.core.interfaces.LogBizParam;

import lombok.Data;

/**
 * 订单设备临时锁车DTO
 */
@Data
public class OrderCloseDeviceDTO implements LogBizParam {

    // 订单ID
    @NotNull(message = "订单ID不允许为空")
    private Long orderId;
    
    // 手机定位经度
    private BigDecimal lon;

    // 手机定位纬度
    private BigDecimal lat;

    // iot
    private Boolean requiredIot;

    @Override
    public Object logBizId() {
        return orderId;
    }
}
